Package ch.qos.logback.core.joran.event

## Class SaxEventRecorder

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - ch.qos.logback.core.joran.event.SaxEventRecorder

All Implemented Interfaces:
  `ContextAware`, `org.xml.sax.ContentHandler`, `org.xml.sax.DTDHandler`, `org.xml.sax.EntityResolver`, `org.xml.sax.ErrorHandler`

    public class SaxEventRecorder
    extends org.xml.sax.helpers.DefaultHandler
    implements ContextAware

### Field Summary

Fields
`java.util.List<SaxEvent>` `saxEventList`

### Constructor Summary

Constructors
`SaxEventRecorder​(Context context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addError​(java.lang.String msg)`
`void` `addError​(java.lang.String msg, java.lang.Throwable ex)`
`void` `addInfo​(java.lang.String msg)`
`void` `addInfo​(java.lang.String msg, java.lang.Throwable ex)`
`void` `addStatus​(Status status)`
`void` `addWarn​(java.lang.String msg)`
`void` `addWarn​(java.lang.String msg, java.lang.Throwable ex)`
`void` `characters​(char[] ch, int start, int length)`
`void` `endElement​(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName)`
`void` `error​(org.xml.sax.SAXParseException spe)`
`void` `fatalError​(org.xml.sax.SAXParseException spe)`
`Context` `getContext()`
`org.xml.sax.Locator` `getLocator()`
`java.util.List<SaxEvent>` `getSaxEventList()`
`void` `recordEvents​(java.io.InputStream inputStream)`
`java.util.List<SaxEvent>` `recordEvents​(org.xml.sax.InputSource inputSource)`
`void` `setContext​(Context context)`
`void` `setDocumentLocator​(org.xml.sax.Locator l)`
`void` `startDocument()`
`void` `startElement​(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes atts)`
`void` `warning​(org.xml.sax.SAXParseException spe)`

### Methods inherited from class org.xml.sax.helpers.DefaultHandler

`endDocument, endPrefixMapping, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, skippedEntity, startPrefixMapping, unparsedEntityDecl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### saxEventList

    public java.util.List<SaxEvent> saxEventList

### Constructor Detail

#### SaxEventRecorder

    public SaxEventRecorder​(Context context)

### Method Detail

#### recordEvents

    public final void recordEvents​(java.io.InputStream inputStream)
                            throws JoranException

Throws:
  `JoranException`

#### recordEvents

    public java.util.List<SaxEvent> recordEvents​(org.xml.sax.InputSource inputSource)
                                          throws JoranException

Throws:
  `JoranException`

#### startDocument

    public void startDocument()

Specified by:
  `startDocument` in interface `org.xml.sax.ContentHandler`
Overrides:
  `startDocument` in class `org.xml.sax.helpers.DefaultHandler`

#### getLocator

    public org.xml.sax.Locator getLocator()

#### setDocumentLocator

    public void setDocumentLocator​(org.xml.sax.Locator l)

Specified by:
  `setDocumentLocator` in interface `org.xml.sax.ContentHandler`
Overrides:
  `setDocumentLocator` in class `org.xml.sax.helpers.DefaultHandler`

#### startElement

    public void startElement​(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes atts)

Specified by:
  `startElement` in interface `org.xml.sax.ContentHandler`
Overrides:
  `startElement` in class `org.xml.sax.helpers.DefaultHandler`

#### characters

    public void characters​(char[] ch,
                           int start,
                           int length)

Specified by:
  `characters` in interface `org.xml.sax.ContentHandler`
Overrides:
  `characters` in class `org.xml.sax.helpers.DefaultHandler`

#### endElement

    public void endElement​(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String qName)

Specified by:
  `endElement` in interface `org.xml.sax.ContentHandler`
Overrides:
  `endElement` in class `org.xml.sax.helpers.DefaultHandler`

#### error

    public void error​(org.xml.sax.SAXParseException spe)
               throws org.xml.sax.SAXException

Specified by:
  `error` in interface `org.xml.sax.ErrorHandler`
Overrides:
  `error` in class `org.xml.sax.helpers.DefaultHandler`
Throws:
  `org.xml.sax.SAXException`

#### fatalError

    public void fatalError​(org.xml.sax.SAXParseException spe)
                    throws org.xml.sax.SAXException

Specified by:
  `fatalError` in interface `org.xml.sax.ErrorHandler`
Overrides:
  `fatalError` in class `org.xml.sax.helpers.DefaultHandler`
Throws:
  `org.xml.sax.SAXException`

#### warning

    public void warning​(org.xml.sax.SAXParseException spe)
                 throws org.xml.sax.SAXException

Specified by:
  `warning` in interface `org.xml.sax.ErrorHandler`
Overrides:
  `warning` in class `org.xml.sax.helpers.DefaultHandler`
Throws:
  `org.xml.sax.SAXException`

#### addError

    public void addError​(java.lang.String msg)

Specified by:
  `addError` in interface `ContextAware`

#### addError

    public void addError​(java.lang.String msg,
                         java.lang.Throwable ex)

Specified by:
  `addError` in interface `ContextAware`

#### addInfo

    public void addInfo​(java.lang.String msg)

Specified by:
  `addInfo` in interface `ContextAware`

#### addInfo

    public void addInfo​(java.lang.String msg,
                        java.lang.Throwable ex)

Specified by:
  `addInfo` in interface `ContextAware`

#### addStatus

    public void addStatus​(Status status)

Specified by:
  `addStatus` in interface `ContextAware`

#### addWarn

    public void addWarn​(java.lang.String msg)

Specified by:
  `addWarn` in interface `ContextAware`

#### addWarn

    public void addWarn​(java.lang.String msg,
                        java.lang.Throwable ex)

Specified by:
  `addWarn` in interface `ContextAware`

#### getContext

    public Context getContext()

Specified by:
  `getContext` in interface `ContextAware`

#### setContext

    public void setContext​(Context context)

Specified by:
  `setContext` in interface `ContextAware`

#### getSaxEventList

    public java.util.List<SaxEvent> getSaxEventList()